Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends
SORTED_FLOAT Class Reference

`#include <sortflts.h>`

Inheritance diagram for SORTED_FLOAT:

List of all members.

## Public Member Functions

| SORTED_FLOAT ()
| SORTED_FLOAT (float value, inT32 key)
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Friends

class | SORTED_FLOATS

## Detailed Description

Definition at line 27 of file sortflts.h.

## Constructor & Destructor Documentation

SORTED_FLOAT::SORTED_FLOAT | ( |  | ) |

inline

Definition at line 32 of file sortflts.h.

{
} //empty constructor

SORTED_FLOAT::SORTED_FLOAT | ( | float | value,
|  | inT32 | key
| ) |  |

inline

Definition at line 34 of file sortflts.h.

{ //reference
entry = value;
address = key;
}

## Friends And Related Function Documentation

friend class SORTED_FLOATS

friend

Definition at line 29 of file sortflts.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/textord/sortflts.h